Bug 457709 - Review Request: hiran-perizia-fonts - English asymmetric font
Review Request: hiran-perizia-fonts - English asymmetric font
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Flo Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-04 00:37 EDT by Minto Joseph
Modified: 2013-11-17 20:47 EST (History)
7 users (show)

See Also:
Fixed In Version: hiran-perizia-fonts-0.1.0-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-15 14:42:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
paul: fedora‑review+
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Nicolas Mailhot 2008-10-26 06:41:31 EDT
Sorry to have taken so long to look at this (actually I did some work on the subject in the background but didn't trace it in bugzilla).

I've talked briefly with the Perizia author on irc recently. He's set up a new web site, http://hiran.in/ and tried to do a proper sfd+ttf release for his new font, Rufscript. He was intending to clean up Perizia too in the next weeks.

Please contact him and coordinate to make sure that what he ends up publishing is something you can build a great package from:
— have him publish the sfd sources so you can rebuild with our fontforge
  (cf inconsolata fonts package)
— have him publish a detached license file that can be put in %doc
— have him wrap it all in a versioned archive

Apart from this, some review of your current submission
— you've killed a 0 in the datetime stamp. Don't do that, you need the full 20080803 stamp if you don't want problems during upgrades (alternatively if you can convince Hiran to use clean versioning in the font metadata you can use it instead of dates)
— are you sure you want to register perizia in fontconfig as sans-serif and not fantasy? (the fantasy generic is available on recent fontconfig versions)

Anyway your spec is clean and readable, and the font source is clear so I'll have no problems approving it all once those points are taken care of.
Comment 2 Nicolas Mailhot 2008-10-26 06:50:47 EDT
Also your package currently does not build

Please take a look at bug #467507 to see how one performs a %setup on a single file not wrapped inside an archive (but if you can get upstream to release a proper archive the problem will go away by itself).

Since Rahul and you are packaging fonts from the same author you can probably try to approach him collectively, to make sure you ask for the same things for both fonts.
Comment 3 Nicolas Mailhot 2008-10-26 06:54:46 EDT
Lastly you should not touch the fedora-review flag. Setting it to ? basically means you've committed to reviewing this package, which you can't (since you're the packager), and thus you've deadlocked your own submission. Fixing.
Comment 4 Nicolas Mailhot 2008-11-17 04:52:54 EST
Ping?
Comment 5 Nicolas Mailhot 2008-12-21 16:43:46 EST
[This is a simplified version of the message sent to every package maintainer that ships TTF/OTF/Type1 fonts in Fedora.]

Our font packaging guidelines have now changed. New font package submissions must now be adapted to the new templates available in the fontpackages-devel
package:
 – http://fedoraproject.org/wiki/fontpackageshttp://fedoraproject.org/wiki/Simple_fonts_spec_templatehttp://fedoraproject.org/wiki/Fonts_spec_template_for_multiple_fonts

It is preferred to create a font package or subpackage per font family, though
it is not currently a hard guidelines requirement.
http://fedoraproject.org/wiki/PackagingDrafts/Font_package_splitting_rules_(2008-12-21)
has been submitted for FPC and FESCO approval today.

The new templates should make the creation of font packages easy and safe. 

The following packages have already been converted by their packager in fedora-devel and can serve as examples:
❄ abyssinica-fonts
❄ andika-fonts
❄ apanov-heuristica-fonts
❄ bitstream-vera-fonts
❄ charis-fonts
❄ dejavu-fonts
❄ ecolier-court-fonts
❄ edrip-fonts
❄ gfs-ambrosia-fonts
❄ gfs-artemisia-fonts
❄ gfs-baskerville-fonts
❄ gfs-bodoni-classic-fonts
❄ gfs-bodoni-fonts
❄ gfs-complutum-fonts
❄ gfs-didot-classic-fonts
❄ gfs-didot-fonts
❄ gfs-eustace-fonts
❄ gfs-fleischman-fonts
❄ gfs-garaldus-fonts
❄ gfs-gazis-fonts
❄ gfs-jackson-fonts
❄ gfs-neohellenic-fonts
❄ gfs-nicefore-fonts
❄ gfs-olga-fonts
❄ gfs-porson-fonts
❄ gfs-solomos-fonts
❄ gfs-theokritos-fonts
❄ nafees-web-naskh-fonts
❄ stix-fonts
❄ yanone-kaffeesatz-fonts

The new spec templates have been designed to be easy to update to from the previous guidelines, and to remove complexity from font packages. To help new package creation the fontpackages-devel package has been made available in Fedora 9 and 10.

If you have any remaining questions about the new guidelines please ask them
on:
fedora-fonts-list at redhat.com
Comment 6 Ankur Sinha (FranciscoD) 2009-07-14 06:57:53 EDT
hi,

I'd like to take over the font package.  Minto, if you do not wish to continue with this review, may I package the font and continue the review?? Or you can close this bug and a fresh one can be started. 

regards,

Ankur
Comment 7 Minto Joseph 2009-07-14 09:16:53 EDT
Hi Ankur,

I had contacted the upstream personally and requested him to release the package as pointed by Nicolas. He had agreed to do that. Seems like he have not yet done that.

Sorry for not updating the status in bugzilla.

Feel free to take over the font package if you want to.

Regards,
Minto
Comment 8 Ankur Sinha (FranciscoD) 2009-07-14 13:26:06 EDT
Hi Minto, 

I've left him a note too. No sign of a sfd tar source yet. I'll wait on him for a few days before deciding on the package.

regards,

Ankur
Comment 9 Nicolas Mailhot 2009-09-14 00:45:33 EDT
Hiran is promising a new release and an new website in October.

Meanwhile on the packaging side since he created multiple fonts it would be nice to use a common prefix on the packages (similar to the apanov- prefix we use in packaging Andrey Panov's fonts) to mark they have the same origin (as required by guidelines)
Comment 10 Ankur Sinha (FranciscoD) 2010-01-11 09:39:24 EST
(In reply to comment #9)
> Hiran is promising a new release and an new website in October.
> 
> Meanwhile on the packaging side since he created multiple fonts it would be
> nice to use a common prefix on the packages (similar to the apanov- prefix we
> use in packaging Andrey Panov's fonts) to mark they have the same origin (as
> required by guidelines)    

hey,

october has come and gone :)

his new site "hiran.in" isnt working as yet. Should we close this bug as a wontfix and start a fresh one when he does match the requirements??

regards,
Ankur
Comment 11 Nicolas Mailhot 2010-02-22 12:53:32 EST
It's probably better to beg a dump of the latest version of his font and package that, I have no idea when his web site will be finished and it's very sad to wait forever when the font itself exists
Comment 12 Ankur Sinha (FranciscoD) 2010-05-02 03:01:26 EDT
Hey,

His site is up.. http://hiran.in/ .. The perizia page gives a 404. mailed him (again)

Ankur
Comment 13 Hiran Venugopalan 2010-05-02 08:00:37 EDT
Sorry. 

Its since the Googlepages.com become off. I will make the new version of Both Perizia and Rufscript (with all latin letters) and will make its repo soon.
Comment 14 Ankur Sinha (FranciscoD) 2010-12-26 02:15:54 EST
Hello, 

Still a 404 on the link.

regards,
Ankur
Comment 15 Paul Flo Williams 2011-03-10 03:28:34 EST
Although the link is broken on the web site, it's just a simple typo (linko?)

The content is still there, and the download link works:

http://hiran.in/blog/thanks-perizia-is-now-a-font

Ankur, I'd suggest you could just package the TTF and appropriate fontconfig, without waiting for an SFD that may never appear.
Comment 16 Paul Flo Williams 2011-03-10 03:48:56 EST
Funny what a ping will do! Hiran just sent me this message:

--quote--
http://hiran.in/content/fonts/perizia/

Its there for the last 2 years!!
--endquote--

Thank you, Hiran. I'm looking forward to seeing our two oldest font reviews closed out soon!
Comment 17 Ankur Sinha (FranciscoD) 2011-03-10 04:00:58 EST
Hello,

That's a little weird since Hiran himself commented on 2010-05-02 08:00:37 

> Sorry. 
> 
> Its since the Googlepages.com become off. I will make the new version of Both
> Perizia and Rufscript (with all latin letters) and will make its repo soon.

I'll package them up soon and submit the spec/srpm. 
Thanks,
Ankur
Comment 18 Ankur Sinha (FranciscoD) 2011-03-13 16:57:03 EDT
Hello,

SPEC:
http://ankursinha.fedorapeople.org/perizia/perizia-sfd-fonts.spec

SRPM:
http://ankursinha.fedorapeople.org/perizia/perizia-sfd-fonts-20081017-1.fc14.src.rpm

It's been quite a while since I packaged a font. Could you please check if the fontconfig stuff is alright.

rpmlint gives:
[ankur@ankur noarch]$ rpmlint perizia-sfd-fonts-20081017-1.fc14.noarch.rpm perizia-sfd-fonts.noarch: W: invalid-url URL: http://hiran.in/hiran.in/blog/thanks-perizia-is-now-a-font HTTP Error 404: Not Found
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


Thanks,
Ankur
Comment 19 Paul Flo Williams 2011-03-24 04:31:38 EDT
Preliminary observations:

1. Font packaging guidelines say that we now want the name of the package to be "foundry-fontname-fonts". In bug 467507, the review request for Hiran's Rufscript, the foundry prefix has been picked as "hiran", so I'd suggest you change the package name to hiran-perizia-fonts. Remember to change the bug title too.

2. Correct URL is http://hiran.in/blog/thanks-perizia-is-now-a-font

Nicolas, the review is still marked as yours. Is that still ok?
Comment 20 Ankur Sinha (FranciscoD) 2011-03-31 02:08:32 EDT
Hi!

(In reply to comment #19)
> Preliminary observations:
> 
> 1. Font packaging guidelines say that we now want the name of the package to be
> "foundry-fontname-fonts". In bug 467507, the review request for Hiran's
> Rufscript, the foundry prefix has been picked as "hiran", so I'd suggest you
> change the package name to hiran-perizia-fonts. Remember to change the bug
> title too.

Corrected.

> 
> 2. Correct URL is http://hiran.in/blog/thanks-perizia-is-now-a-font
> 
Corrected

> Nicolas, the review is still marked as yours. Is that still ok?

http://ankursinha.fedorapeople.org/perizia/hiran-perizia-sfd-fonts-20081017-2.fc16.src.rpm

http://ankursinha.fedorapeople.org/perizia/hiran-perizia-sfd-fonts.spec

Ankur
Comment 21 Paul Flo Williams 2011-05-07 06:29:10 EDT
Right, let's see if we can get this done before this review's third birthday!

1. Package name should be hiran-perizia-fonts, not hiran-perizia-sfd-fonts

2. Version number of the font (from font metadata) is 0.1.0, so that should be the version number of the package, rather than the date of the SFD file. (rpmlint will warn about incoherent numbers in the changelog, but ignore that)

3. The %define lines at the top of the spec should now be %global (take a look at current font spec template)

4. The license should be "GPLv3+ with exceptions" (again, from font metadata)

5. %prep section pollutes top level BUILD directory, so you need to create a directory with the line %setup -c -T directly after %prep

6. Correcting %prep will allow you to remove the directory ownership line: %dir %{_fontdir}/

7. fontconfig file needs correcting and simplifying. I would suggest starting from the simple template again. The font family should probably be sans-serif instead of serif, although, given its quirky shapes and Hiran's suggestion that it's a title font, you might want to follow Nicolas's suggestion and go for "fantasy".

8. (non-blocking) There is an issue with the font metadata, which you'll see if you pull it into fontmatrix. The font subfamily is explicitly empty when it should say "Regular", so fontmatrix displays the full font name as "Perizia ?". However, the font still works in OpenOffice.org as-is. I'll prep a patch for the SFD if you wish.

9. (non-blocking) fontlint warns about self-intersecting glyphs and missing extrema, which is quite common. These should be fed back upstream.

That's everything I can see, and it honestly isn't as much as it appears!
Comment 22 Ankur Sinha (FranciscoD) 2011-05-25 08:36:31 EDT
Hello,

Updated spec/srpm:

http://ankursinha.fedorapeople.org/perizia/hiran-perizia-fonts.spec

http://ankursinha.fedorapeople.org/perizia/hiran-perizia-fonts-0.1.0-1.fc15.src.rpm


* Wed May 25 2011 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.1.0-1
- Corrected name
- Corrected version
- Corrected prep section
- Corrected license
- Corrected files section


Thanks,
Ankur
Comment 23 Paul Flo Williams 2011-05-26 02:33:32 EDT
OK, the one outstanding problem that needs fixing is the fontconfig file. The new one is better, but you need to write "Perizia" where it currently says "hiran-perizia-fonts", as Fontconfig deals with the names we see on screen, not the package names.

When that's fixed, I'd say this is good to go.
Comment 24 Ankur Sinha (FranciscoD) 2011-05-26 08:40:52 EDT
Hello,

New spec, srpm:

http://ankursinha.fedorapeople.org/perizia/hiran-perizia-fonts.spec

http://ankursinha.fedorapeople.org/perizia/hiran-perizia-fonts-0.1.0-1.fc15.src.rpm

* Thu May 26 2011 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.1.0-1
- Corrected fontconfig file
- Corrected name
- Corrected version
- Corrected prep section
- Corrected license
- Corrected files section

Thanks,
Ankur
Comment 25 Paul Flo Williams 2011-05-26 09:48:25 EDT
This is APPROVED.

You can now continue from
http://fedoraproject.org/wiki/Font_package_lifecycle#3.a

Thank you for following this through, Ankur.
Comment 26 Ankur Sinha (FranciscoD) 2011-06-03 00:21:23 EDT
New Package SCM Request
=======================
Package Name: hiran-perizia-fonts
Short Description: English asymmetric font
Owners: ankursinha
Branches: f14 f15
InitialCC: fonts-sig
Comment 27 Jens Petersen 2011-06-03 04:46:02 EDT
Git done (by process-git-requests).
Comment 28 Fedora Update System 2011-06-03 15:40:44 EDT
hiran-perizia-fonts-0.1.0-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/hiran-perizia-fonts-0.1.0-1.fc14
Comment 29 Fedora Update System 2011-06-03 15:40:52 EDT
hiran-perizia-fonts-0.1.0-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/hiran-perizia-fonts-0.1.0-1.fc15
Comment 30 Fedora Update System 2011-06-07 00:38:15 EDT
hiran-perizia-fonts-0.1.0-1.fc14 has been pushed to the Fedora 14 testing repository.
Comment 31 Fedora Update System 2011-06-15 14:42:13 EDT
hiran-perizia-fonts-0.1.0-1.fc14 has been pushed to the Fedora 14 stable repository.
Comment 32 Fedora Update System 2011-06-23 23:27:23 EDT
hiran-perizia-fonts-0.1.0-1.fc15 has been pushed to the Fedora 15 stable repository.

Note You need to log in before you can comment on or make changes to this bug.